#eureka client配置
eureka:
  client.serviceUrl.defaultZone: ${EUREKA_URL}
  instance:
    appGroupName: ${EUREKA_INSTANCE_APPGROUPNAME}
    leaseRenewalIntervalInSeconds: 30
    leaseExpirationDurationInSeconds: 90

spring:
  application:
    name: ${SPRING_APPLICATION_NAME_INBOUND}
  #rabbitmq配置
  rabbitmq:
    host: ${SPRING_RABBITMQ_HOST}
    port: ${SPRING_RABBITMQ_PORT}
    username: ${SPRING_RABBITMQ_USERNAME}
    password: ${SPRING_RABBITMQ_PASSWORD}
    virtual-host: ${SPRING_RABBITMQ_VIRTUAL}
    publisher-confirms: true
    listener:
      simple:
        acknowledge-mode: manual # 手动应答
        auto-startup: true
        default-requeue-rejected: false # 不重回队列
        concurrency: 5  # 允许并发数
        max-concurrency: 20
        #        prefetch: 1 # 每次只处理一个信息
        retry:
          enabled: true
        prefetch: 300
  #redis配置
  redis:
    host: ${SPRING_REDIS_HOST}
    port: ${SPRING_REDIS_PORT}
    password: ${SPRING_REDIS_PASSWORD}
    database: ${SPRING_REDIS_DATABASE}
  #链路跟踪
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  datasource:
    driverClassName: ${DATASOURCE_DRIVER_CLASS_MYSQL}
    url: jdbc:mysql://${DATASOURCE_IP_PORT}/${DATASOURCE_DB_NAME_INBOUND}?useSSL=false&serverTimezone=CTT&useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true
    username: ${DATASOURCE_USER_NAME}
    password: ${DATASOURCE_PWD}
    initialSize: 1
    minIdle: 5
    maxActive: 50
    maxWait: 60000
    minEvictableIdleTimeMillis: 25200000
prolog:
  dao:
    dialect: ${PROLOG_DAO_DIALECT}
    mybatis:
      mapperLocations: classpath:mappers/mysql/*.xml
    performance:
      enable: ${PROLOG_DAO_PERFORMANCE_ENABLE}
      showSql: ${PROLOG_DAO_PERFORMANCE_SHOW_SQL}
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  serarch:
    url: ${PROLOG_SERARCH_URL}
  tx:
    url: ${PROLOG_TX_URL}
  auth:
    redis:
      namespace: ${PROLOG_AUTH_REDIS_SPACE}
  service:
    dataExchange: upcloud-data-exchange
    inventory: ${SPRING_APPLICATION_NAME_INVENTORY}
    item: ${SPRING_APPLICATION_NAME_ITEM}
    warehouse: ${SPRING_APPLICATION_NAME_WAREHOUSE}
    chain: ${SPRING_APPLICATION_NAME_CHAIN}
    common: ${SPRING_APPLICATION_NAME_COMMON}
    control: ${SPRING_APPLICATION_NAME_CONTROL}
    operate: ${SPRING_APPLICATION_NAME_OPERATE}
    outbound: ${SPRING_APPLICATION_NAME_OUTBOUND}
    strategy: ${SPRING_APPLICATION_NAME_STRATEGY}
logging:
  config: ${LOGGING_CONFIG_PATH}
  level.root: ${LOGGING_LEVEL_ROOT}

erp:
  pull:
    url: http://192.168.1.212:10001/api/siyuan/inbound/pullAsn
  report:
    url: http://192.168.1.212:10001/api/siyuan/inbound/asnbill/report
  inStockBack:
    erpUrl: http://192.168.1.212:10001/api/siyuan/inbound/inStockBack
oms:
  receivingRecordBack: http://192.168.1.212:10001/api/oms/acceptanceBack
  incomingRecordBack: http://192.168.1.212:10001/api/oms/incoming
  orderStatusBack: http://192.168.1.212:10001/api/oms/statusBack
eis:
  inboundTaskUrl: http://192.168.1.212:10001/api/jxyjrh/wms2eis/inbound/

uploadSupervisionCode:
  serverUrl: http://gw.api.taobao.com/router/rest
  appKey: 34602818
  appSecret: af4c71bd2dfc8fb0c9dda5c6be9c8a30
  sendEnterpriseId: 65123514e4b0c9ff3ba545cb
  acceptEnterpriseId: 7c864d66255741f8958eb4a9e167858c